Bug 188661 - Review Request: gcalctool
Review Request: gcalctool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-11 20:57 EDT by Matthias Clasen
Modified: 2013-01-09 20:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 13:44:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-04-11 20:57:56 EDT
Spec URL: http://people.redhat.com/mclasen/review/gcalctool.spec
SRPM URL: http://people.redhat.com/mclasen/review/gcalctool-5.7.32-2.src.rpm
Description: This is part of the effort to split the current hard to maintain
multitarball gnome-utils packages into separate packages.
Comment 1 Matthias Clasen 2006-04-11 21:32:03 EDT
I notice that I missed the gconf schema installation in %post
Comment 2 Warren Togami 2006-04-12 14:47:22 EDT
If you make changes to the package, please bump the Release and post the new
URL.  Please do not replace the existing filename with new content.
Comment 3 Jesse Keating 2006-04-13 12:22:22 EDT
Requires may automatically get picked up from %post, but not sure, will test later.

.desktop file is included, but not installed.  Please use desktop-file-install
within %install.

Will try building package next.
Comment 4 Jesse Keating 2006-04-13 12:59:05 EDT
Also, before anybody else notices, the spec file linked is not the same one in
the srpm, the linked one is newer.
Comment 5 Jesse Keating 2006-04-13 14:45:53 EDT
During the build of i386, there are lots of errors about not being able to
install schema files.  Are these expected?

WARNING: failed to install schema `/schemas/apps/gcalctool/accuracy' locale `C':
Unable to store a value at key '/schemas/apps/gcalctool/accuracy', as the
configuration server has no writable databases. There are some common causes of
this problem: 1) your configuration path file /etc/gconf/2/path doesn't contain
any databases or wasn't found 2) somehow we mistakenly created two gconfd
processes 3) your operating system is misconfigured so NFS file locking doesn't
work in your home directory or 4) your NFS client machine crashed and didn't
properly notify the server on reboot that file locks should be dropped. If you
have two gconfd processes (or had two at the time the second was launched),
logging out, killing all copies of gconfd, and logging back in may help. If you
have stale locks, remove ~/.gconf*/*lock. Perhaps the problem is that you
attempted to use GConf from two machines at once, and ORBit still has its
default configuration that prevents remote CORBA connections - put
"ORBIIOPIPv4=1" in /etc/orbitrc. As always, check the user.* syslog for details
on problems gconfd encountered. There can only be one gconfd per home directory,
and it must own a lockfile in ~/.gconfd and also lockfiles in individual storage
locations such as ~/.gconf

Same for /schemas/apps/gcalctool/base, /schemas/apps/gcalctool/display,
/schemas/apps/gcalctool/mode, /schemas/apps/gcalctool/showzeroes,
/schemas/apps/gcalctool/showhelp, /schemas/apps/gcalctool/showregisters,
/schemas/apps/gcalctool/righthanded, /schemas/apps/gcalctool/trigtype,
/schemas/apps/gcalctool/beep.

Also there was this:

Resolved address "xml:merged:/etc/gconf/gconf.xml.defaults" to a read-only
configuration source at position 0
None of the resolved addresses are writable; saving configuration settings will
not be possible
Comment 6 Matthias Clasen 2006-04-13 14:54:41 EDT
Hmm, I will investigate this after the spring break.
Comment 7 Jesse Keating 2006-04-13 15:03:46 EDT
[builder@dhcp83-49 SPECS]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core/result/gcalctool-5.7.32-2.x86_64.rpm
W: gcalctool non-conffile-in-etc /etc/gconf/schemas/gcalctool.schemas
W: gcalctool one-line-command-in-%post scrollkeeper-update
W: gcalctool one-line-command-in-%postun scrollkeeper-update

[builder@dhcp83-49 SPECS]$ rpmlint
/var/lib/mock/fedora-development-i386-core/result/gcalctool-5.7.32-2.i386.rpm
W: gcalctool non-conffile-in-etc /etc/gconf/schemas/gcalctool.schemas
W: gcalctool one-line-command-in-%post scrollkeeper-update
W: gcalctool one-line-command-in-%postun scrollkeeper-update

Package builds w/ mock.
Comment 8 Matthias Clasen 2006-04-13 20:12:14 EDT
I have to admit that I am somewhat sceptic regarding some of the rpmlint warnings.
I do not think .schemas files should be conffiles, and I have no idea whats wrong
about a one-line %post script.
Comment 9 Jesse Keating 2006-04-13 22:35:58 EDT
OH right, I forgot to note that those are PASSES of rpmlint, not failures (;

So just the other issues should be looked into.
Comment 10 Matthias Clasen 2006-04-17 14:58:09 EDT
New spec: http://people.redhat.com/mclasen/review/gcalctool.spec
New srpm: http://people.redhat.com/mclasen/review/gcalctool-5.7.32-3.src.rpm

changes:
- disable schema installation during %install
- install schema in %post
- added Requires for gconf
- I did not try yo fix the (harmless) scrollkeeper error messages
  during %install, since the configure does not understand --disable-scrollkeeper
Comment 11 Jesse Keating 2006-04-17 16:40:04 EDT
Changes look sane, rpmlint much quieter, package builds w/ mock.  Approving.
Comment 12 Matthias Clasen 2006-04-19 13:44:25 EDT
Package is in rawhide
Comment 13 Michael Schwendt 2006-04-20 07:25:27 EDT
It's missing the --makefile-uninstall rule in %postun
Comment 14 Matthias Clasen 2006-04-20 10:15:37 EDT
None of the core packages uninstalls schemas...
Comment 15 Jesse Keating 2006-04-20 10:18:44 EDT
Doesn't mean we shouldn't.  I let it go in w/out the removal, but you should add
it to CVS and next time the package gets bumped it will have the code there.
Comment 16 Matthias Clasen 2006-04-20 10:28:16 EDT
This bug is closed; and I'm not going to accept a "permanently under review"
position, just because I pushed the package through the initial review...
Comment 17 Michael Schwendt 2006-04-20 16:01:53 EDT
Be nice, be friendly, fix your package, and lead by example.
Comment 18 Jesse Keating 2006-04-20 16:08:14 EDT
This has already been fixed in cvs.  Any further issues should be a new bug, not
more comments on a closed bug.

Note You need to log in before you can comment on or make changes to this bug.